Ticket #1087 (new enhancement)

Opened 7 years ago

Improve disambiguation errors when package name exists but not with extra constraints

Reported by: dleverton Owned by:
Priority: Sometime Milestone:
Component: core/paludis Version: scm
Keywords: Cc:
Blocked By: Blocking:
Distribution: Gentoo

Description

shiny-one ~ # cave uninstall boost:4.1

Error:
  * In program cave uninstall boost:4.1:
  * When parsing user package dep spec 'boost:4.1':
  * When parsing generic package dep spec 'boost:4.1':
  * When disambiguating package name 'boost':
  * Could not find 'boost' (paludis::NoSuchPackageError)

The current error implies that boost doesn't exist at all, it would be nice if it said that it exists but not with the specified extra constraint (the slot should have been 1.41)

Note: See TracTickets for help on using tickets.